%!octave 
%
%       OS : GNU/Linux 4.2.5-1-ARCH 
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: data_save_img.m,v 1.1 2016/03/04 12:44:31 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function []=data_save_img(X,s,fl),
   for i=1:size(X,2),
	  xi=X(:,i) ;
      f=sprintf("result/%s",fl{i});
	  img_save( xi, f, s ) ;
	  % save("-text",sprintf("result/x%i.txt",i),"xi") ;
   endfor
endfunction

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function []=img_save(x,f,s),
   x=lin_corr(x,255.0);
   x= uint8(255.0 - x);
   x=reshape(x,s) ;
   img=cat(3,x,x,x);
   imwrite(img,f) ;
endfunction

