%!octave 
%
%    Restricted Boltzmann machine based associative memory demo
%
%       OS : GNU/Linux 4.2.5-1-ARCH 
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: rbm_weight_init.m,v 1.3 2016/03/12 17:53:58 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
function W=rbm_weight_init(sz),
   W={};
   %W{1}=zeros(sz) ; % начальная матрица весов нейронов
   W{1}=normrnd( zeros(sz), ones(sz)*1e-4 ) ; % начальная матрица весов нейронов
   W{2}=zeros(sz(1),1); % bv начальный вектор сдвигов первого слоя
   W{3}=zeros(sz(2),1); % bh начальный вектор сдвигов второго слоя
endfunction


