%!octave 
%
%      
%       OS : GNU/Linux 4.2.5-1-ARCH 
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: rbm_weight_visualizer.m,v 1.4 2016/03/05 10:41:06 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% визуализация весовой матрицы
%
% W - весовая матрица
% s = [ h w ] - размеры картинки h*w==size(W,2)
%
function rbm_weight_visualizer(W,s),
   Wr = (W ./ norm(W) ); % нормируем 
   
   % создаём список имён файлов для записи в них картинок
   fl={}; for i=1:size(Wr,1), fl{i}=sprintf("map/vis_%03i.png",i); endfor
   
   % записываем картинки
   data_save_img(Wr',s,fl);

endfunction



